﻿var Promise = require('promise'),
    util = require('util'),   
    debuglog = util.debuglog ? util.debuglog('sl') : require('../alt-debug-log.js').debuglog('sl');

function None(cfg) {
    this.getCfg = function getCfg() { return cfg; }
}

None.prototype.getDiff = function getDiff(handlerParams) {
    var cfg = this.getCfg();
    var p = new Promise(function (resolve, reject) {        
        handlerParams.diffData = [];
        resolve();
    });
    return p;
}

None.prototype.detectCommitVersion = function detectCommitVersion(handlerParams) {
    var cfg = this.getCfg();
    var p = new Promise(function (resolve, reject) {        
        var commit = "N/A";
        resolve(commit);
    });
    return p;
}

None.prototype.getBranchHistory = function getBranchHistory(handlerParams) {
    var cfg = this.getCfg();
    var p = new Promise(function (resolve, reject) {
        resolve([]);
    });
    return p;
}

None.prototype.getRepositoryUrl = function getRepositoryUrl(handlerParams) {
    var cfg = this.getCfg();
    var p = new Promise(function (resolve, reject) {
        resolve('');
    });
    return p;
}

module.exports = None;